Google исправила десятки критических уязвимостей в Android

Google исправила десятки критических уязвимостей в Android

Google в понедельник объявили о выпуске новых патчей безопасности для операционной системы Android. Главным образом, эти патчи ориентированы на устранение критических ошибок в драйверах. О некоторых из этих уязвимостей было известно еще несколько лет назад.

В прошлом месяце Google разделили ежемесячные патчи для Android на две части, одна из которых устраняла недостатки в самой платформе, а другая была нацелена на драйверы и другие компоненты. В этом месяце Google решили заняться вопросами безопасности, которые уже долгое время оставались без внимания – 81 уязвимость в драйверах. Об этих уязвимостях было сообщено еще в 2014 году.

Первая часть обновлений устраняет 22 уязвимостей в Android, среди них 3 критические ошибки в Mediaserver, 10 уязвимостей высокой степени риска и 9 средней степени риска в других компонентах. С тех пор как Google начали выпуск ежемесячных патчей год назад, компонент Mediaserver постоянно получал исправления.

Критические ошибки в Mediaserver (CVE-2016-3819, CVE-2016-3820, CVE-2016-3821) позволяют удаленно выполнить код, используя специально созданный файл. Эти уязвимости затрагивают Android версий 4.4.4, 5.0.2, 5.1.1, 6.0 и 6.0.1 и могут быть проэксплуатированы с помощью нескольких приложений, включая приложения обмена сообщениями и браузеры.

Из 10 уязвимостей высокой степени риска стоит отметить: уязвимость в libjhead, позволяющая удаленно выполнить код (CVE-2016-3822), уязвимость, позволяющая вызвать отказ в обслуживании в системных часах (CVE-2016-3831). Эти уязвимости затрагивают Android с 4.4.4 по 6.0.1 версии.

Оставшиеся 9 уязвимостей средней степени риска включают в себя уязвимости OpenSSL, уязвимость API камеры, а также в UI и Bluetooth. Эти бреши затрагивают версии 4.4.4, 5.0.2, 5.1.1, 6.0 и 6.0.1 Android.

Так же, как и в прошлом месяце, компоненты Qualcomm получили наибольшее количество патчей. Среди них 36 уязвимостей повышения привилегий (одна критичная, 33 высокой степени риска и 2 средней степени риска). Google также исправили уязвимость в ядрах планировщика, MediaTek Wi-Fi и USB.

Большинство уязвимостей в различных компонентах Qualcomm были зарегистрированы в 2014 году, также многие были обнаружены в прошлом. Это же касается и компонентов Android, многие из которых были двухлетней давност и имели статус критически важных.

Подпишитесь
в Facebook

Я уже с вами